import { observable, action, computed } from 'mobx';

export default class PackagesService {
	@observable postData = {
    	agent_id : null,
    	package_schedule_id : '',
    	payment_method_id : '',
    	customer_id : '',
		agent_reward_id : null,
	};

	constructor(context) {
		this.http = context.http;
	    this.context = context;
	}


	@action
	postPackages(data){
		this.postPackagesLoading = true;
		return this.http.post(`package_transaction`,data).then(res => {
			this.postPackagesLoading = false;
			return res;
		});
	}


}